#
# spec file for package usbtop
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           usbtop
Version:        1.0
Release:        3.1
Summary:        Visualizer for estimated instantaneous bandwidth on USB buses and devices
License:        BSD-3-Clause
URL:            https://github.com/aguinet/usbtop
Source0:        https://github.com/aguinet/usbtop/archive/release-%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  cmake >= 3.5
BuildRequires:  gcc-c++
BuildRequires:  libboost_atomic-devel >= 1.48.0
BuildRequires:  libboost_system-devel >= 1.48.0
BuildRequires:  libboost_thread-devel >= 1.48.0
BuildRequires:  libpcap-devel

%description
A top-like utility that shows an estimated instantaneous bandwidth on USB buses and devices.

Requires the usbmon kernel module to be loaded.

%prep
%setup -q -n %{name}-release-%{version}

%build
%cmake -DCMAKE_POLICY_VERSION_MINIMUM=3.5
make %{?_smp_mflags}

%install
install -Dm 755 build/src/usbtop %{buildroot}%{_bindir}/usbtop

%check
%ctest

%files
%doc README.md
%license LICENSE
%{_bindir}/usbtop

%changelog
* Fri Mar 21 2025 Shawn Dunn <sfalken@opensuse.org>
- Add -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to fix FTBFS with cmake4
- Add %%check section
- Remove Group: declarations, no longer used
* Thu Mar 28 2019 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Sat Mar 16 2019 Sebastian Wagner <sebix+novell.com@sebix.at>
- update to version 1.0:
  * Add support for FreeBSD (thanks to https://github.com/yurivict !)
  * Clean old code to proper C++11
  * Remove boost::thread and system dependency (use C++11 thread support)
  * Add headers for boost::circular_buffer if boost isn't found on the system.
- remove usbtop-fix-build-boost.patch as it has been merged upstream
* Sun Jul 15 2018 sebix+novell.com@sebix.at
- change filename according to standard
- use usbtop-fix-build-boost.patch directly from upstream source / link it properly
* Sun Jul 15 2018 bjorn.lie@gmail.com
- Add usbtop-fix-build-boost.patch: Fix build with new boost and
  gcc8, patch is submitted upstream.
- Following the above patch, add libboost_atomic-devel
  BuildRequires now needed.
* Sat Jan  6 2018 sebix+novell.com@sebix.at
- initial package for version 0.2
